## golang-github-bep-tmc 0.5.1

=== debian/changelog ===
golang-github-bep-tmc (0.5.1-2) unstable; urgency=medium

  * Source-only upload for migration into testing

 -- Anthony Fok <foka@debian.org>  Mon, 06 Jan 2020 03:25:28 -0700

golang-github-bep-tmc (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #946192)

 -- Anthony Fok <foka@debian.org>  Thu, 05 Dec 2019 04:48:38 -0700
