=== debian/control ===
Source: golang-github-bep-tmc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang
Build-Depends-Indep: golang-any,
                     golang-github-frankban-quicktest-dev,
                     golang-github-google-go-cmp-dev,
                     golang-yaml.v2-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bep-tmc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bep-tmc.git
Homepage: https://github.com/bep/tmc
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bep/tmc

Package: golang-github-bep-tmc-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-frankban-quicktest-dev,
         golang-github-google-go-cmp-dev,
         golang-yaml.v2-dev
Description: provides round-trip serialization of typed Go maps
 Codec for a Typed Map
 .
 bep/tmc provides basic roundtrip JSON etc. encoding/decoding of a
 map[string]interface{} with custom type adapters.
 .
 Text based serialization formats like JSON and YAML are convenient, but
 when used with Go maps, most type information gets lost in translation.
 For structs, one can work around some of the limitations with custom
 MarshalJSON, UnmarshalJSON, MarshalText and UnmarshalText.
 For the commonly used flexible and schema-less "map[string]interface {}",
 this is, as the author is aware of, not an option.
 This library provides a solution to this problem.
 .
 See the GoDoc at https://godoc.org/github.com/bep/tmc for some
 basic examples and how to configure custom codec, adapters, etc.
